Police Force Smash 3D

What is Police Force Smash 3D all about?Increasing crime rate and emergence of illegal street racers have posed serious threat to the city. As a cop, you are given the task to smash and kill all those illegal racers committing crime. Be aware the illegal street racing gangsters are pretty strong and would try to hurt the cop. It's the furious endless battle between law enforcers and gangsters and you are given the opportunity to destroy the illegal street racers.Ever wondered how it feels to be on a trail? Dash off to catch the law breakers! The illegal racers are back! Play as a furious cop and follow the fast paced street racers!! Bang into the racing cars and put an end to illegal racing altogether! Play in suburb city environment & smash and blow up the racers cars. Enjoy the speedy ride. This game offers an action packed, adventurous car chasing street racers battle for racing games lovers.To complete the missions bang into the illegal street racers carsFollow the racers cars and hit with full force. Destroy the racing cars by smashing into them and earn coins. High speed driving and tailing down your target should be at top of your list. Complete the missions and show your great racing and criminal pursuit skills! Best of luck!Features of Police Force Smash 3D: Realistic police driving experience Vibrant 3D suburb city environment Lively graphics Smooth and simple controls Exciting street racer catching missionsDownload now and send red alert to all illegal racers out there! Experience the thrilling adventure now!Tapinator aims to deliver top quality driving and simulation games for its consumers. Please reach out to us if you have any feedback and suggestions. Follow up on facebook at https://www.facebook.com/TapinatorRecent changes: Realistic police driving experience Vibrant 3D suburb city environment Lively graphics Smooth and simple controls Exciting street racer catching missionsContent rating: Low Maturity
PriceCAD0
LicenseFree
File Size32.25 MB
Version1.1
Operating System Android
System RequirementsCompatible with 2.3.3 and above.